[Qa-jenkins-scm] [jenkins.debian.net] 02/02: only notify irc of updates if an update really happened

Holger Levsen holger at layer-acht.org
Mon Nov 21 13:53:19 UTC 2016


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 2706662221524b890532bd7c8eeadac67f72faa8
Author: Holger Levsen <holger at layer-acht.org>
Date:   Mon Nov 21 14:53:13 2016 +0100

    only notify irc of updates if an update really happened
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 update_jdn.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/update_jdn.sh b/update_jdn.sh
index 6b2ca26..a2e1e80 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -739,9 +739,11 @@ case $HOSTNAME in
 		sudo date --set="+398 days +6 hours + 23 minutes"
 		;;
 	jenkins)
-		# notify irc
-		MESSAGE="jenkins.d.n updated to $(cd $BASEDIR ; git describe --always)."
-		kgb-client --conf /srv/jenkins/kgb/debian-qa.conf --relay-msg "$MESSAGE"
+		# notify irc on updates of jenkins.d.n
+		if ! $UP2DATE ; then
+			MESSAGE="jenkins.d.n updated to $(cd $BASEDIR ; git describe --always)."
+			kgb-client --conf /srv/jenkins/kgb/debian-qa.conf --relay-msg "$MESSAGE"
+		fi
 		;;
 	*)	;;
 esac

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list